import {IFrequency} from "app/shared/model/frequency.model";

export interface IGitFilesAggregation {
  fileFormat: IFrequency<string>[];
  repositories: IFrequency<string>[];
  university: IFrequency<string>[];
}

export class GitFilesAggregation implements IGitFilesAggregation {
  constructor(
    public fileFormat: IFrequency<string>[],
    public repositories: IFrequency<string>[],
    public university: IFrequency<string>[],
  ) {
  }
}
