import { Person } from '../person.model';
import { IExerciseType } from './exercise-type.model';

export interface UserProvidedMetadataDTO {
  contributor: Array<Person>;
  creator: Array<Person>;
  deprecated: boolean;
  description: string;
  difficulty: string;
  educationLevel: string;
  format: Array<string>;
  identifier: string;
  image: string;
  keyword: Array<string>;
  language: Array<string>;
  license: string;
  metadataVersion: string;
  programmingLanguage: Array<string>;
  collectionContent: Array<string>;
  publisher: Array<Person>;
  requires: Array<string>;
  source: Array<string>;
  status: string;
  structure: string;
  timeRequired: string;
  title: string;
  type: IExerciseType;
  version: string;
}
